#ifndef COMMENTPAR_H
#define COMMENTPAR_H

// --8<--8<--8<--8<--
//
// Copyright (C) 2006 Smithsonian Astrophysical Observatory
//
// This file is part of paramxx
//
// paramxx is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// paramxx is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the 
//       Free Software Foundation, Inc. 
//       51 Franklin Street, Fifth Floor
//       Boston, MA  02110-1301, USA
//
// -->8-->8-->8-->8--

#include "Par.h"

/**
 * A class to hold a comment line from a parameter file.
 * A comment line can either begin with with a '#' character or
 * the line can be blank.
 */
class CommentPar : public Par {

public:

  ~CommentPar( ) { }

  CommentPar( ) : Par( ) { }

  /**
   * The copy constructor.
   */
  CommentPar( const CommentPar& par ) : Par( par ) { }

  // constructor
  CommentPar( ParTxt& par ) ;

  // int check_value( const char* str ) const {
  //    return EXIT_SUCCESS;
  // }
  
  /**
   * Since commentPar does not have the  `name = val prompt'  format.
   */
  void plist( ostream& os ) const { print( os ); os << '\n'; }

  void set_val( const string& str ) ;

};

#endif
