#ifndef REALPAR_H
#define REALPAR_H

// --8<--8<--8<--8<--
//
// Copyright (C) 2006 Smithsonian Astrophysical Observatory
//
// This file is part of paramxx
//
// paramxx is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// paramxx is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the 
//       Free Software Foundation, Inc. 
//       51 Franklin Street, Fifth Floor
//       Boston, MA  02110-1301, USA
//
// -->8-->8-->8-->8--

#include "Par.h"

/**
 * An double parameter.
 * The class is reponsible to make sure that
 * the parameter can only take a double value.
 */
class RealPar : public Par {

public:

  ~RealPar( ) { }

  RealPar( ) : Par( ) { }

  /// The copy constructor.
  RealPar( const RealPar& par ) : Par( par ) { }

  /// constructor.
  RealPar( ParTxt& par );

  double pgetd( void ) const { 
    return atof( parameter[ PARVALUE ].c_str( ) );
  }

  void set_val( const string& str );

private:

  void between_limits( const string& t ) const;

  void validate( const string& ) const;

  /**
   * Declare but purposely do not define
   */
  RealPar& operator = ( const RealPar& par );

};

#endif
